> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voltai.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Topic

> Get a specific topic by UUID with full details including path



## OpenAPI

````yaml /api-reference/knowledge-agent/source-api.json get /topics/{uuid}/
openapi: 3.0.3
info:
  title: Arcturus Source API
  version: 1.0.0
  description: API for managing sources and topics
servers:
  - url: https://api-prod.voltai.ai/source/api/
    description: Production
security: []
tags:
  - name: Sources
    description: Source CRUD operations
  - name: Sources - Bulk Actions
    description: Bulk operations on sources
  - name: Topics
    description: Topic CRUD operations
  - name: Topics - Tree & Sources
    description: Topic hierarchy and source listings
  - name: Topics - Bulk Actions
    description: Bulk operations on topics
  - name: Sources - Bulk Ingest
    description: Bulk ingestion of sources
paths:
  /topics/{uuid}/:
    get:
      tags:
        - Topics
      summary: Get Topic
      description: Get a specific topic by UUID with full details including path
      operationId: topics_retrieve
      parameters:
        - in: query
          name: organization_name
          schema:
            type: string
          description: Organization name (required for multi-tenant API keys)
          required: true
        - in: path
          name: uuid
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Topic'
          description: ''
      security:
        - cookieAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    Topic:
      type: object
      properties:
        name:
          type: string
          maxLength: 128
        uuid:
          type: string
          format: uuid
        is_popular:
          type: boolean
        is_default:
          type: boolean
        is_published:
          type: boolean
        sub_topics:
          type: string
          readOnly: true
        path:
          type: string
          readOnly: true
        part_markdown:
          type: string
          readOnly: true
      required:
        - name
        - part_markdown
        - path
        - sub_topics
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: sessionid
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        API key for authentication. Get your API key from the organization
        settings.

````